package com.steering.pss.ydm.entity;

/**
 * 数据库表YDM_ZC_DAYSENDPLAN_TRAIN_M所对应的实体类（生成工具：代码生成器2.3）
 * @author Administrator 2015-06-18
 */
public class YdmZcDaysendplanTrainMEntity {
    /**
     * 作业部门代码
     */
    private String departmentCode;
    /**
     * 作业部门描述
     */
    private String departmentDesc;
    /**
     * 作业科室代码
     */
    private String managementNo;
    /**
     * 作业科室名称
     */
    private String managementName;
    /**
     * 备注
     */
    private String memo;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 铁运日计划号
     */
    private String sendDayplanNo;
    /**
     * 发货计划号
     */
    private String sendPlanNo;
    /**
     * 车皮运号
     */
    private String wagonsPlanNo;
    /**
     * 请车皮数量（60吨车皮）
     */
    private String vehicle60Num;
    /**
     * 请车皮数量（70吨车皮）
     */
    private String vehicle70Num;
    /**
     * 请车皮数量（日）
     */
    private String vehicleDayNum;
    /**
     * 申请日期
     */
    private String applyDay;
    /**
     * 批车皮数量（日）
     */
    private String batchDayNum;
    /**
     * 实际车皮装运数（日）
     */
    private String actDayNum;
    /**
     * 铁路站局代码
     */
    private String stationCode;
    /**
     * 铁路站局名称
     */
    private String stationName;
    /**
     * 到站编码
     */
    private String stationNo;
    /**
     * 到站名称
     */
    private String stationNm;
    /**
     * 专用线编码
     */
    private String spclLnNo;
    /**
     * 专用线名称
     */
    private String spclLnNm;
    /**
     * 销售组织(国贸/钢贸/销售公司)
     */
    private String saleOrg;
    /**
     * 销售组织描述
     */
    private String saleOrgDesc;
    /**
     * 客户编码
     */
    private String customerNo;
    /**
     * 客户名称
     */
    private String customerNm;
    /**
     * 收货单位编码
     */
    private String receivNo;
    /**
     * 收货单位名称
     */
    private String receivNm;
    /**
     * 计划开始时间
     */
    private String planStartTime;
    /**
     * 计划结束时间
     */
    private String planEndTime;
    /**
     * 计划重量(吨)
     */
    private String planWt;
    /**
     * 计划支数
     */
    private String planNum;
    /**
     * 计划总长度
     */
    private String planTotlLen;
    /**
     * 实际开始时间
     */
    private String actStartTime;
    /**
     * 实际结束时间
     */
    private String actEndTime;
    /**
     * 实际发货重量(吨)
     */
    private String actWt;
    /**
     * 实际发货支数
     */
    private String actNum;
    /**
     * 实际发货总长度
     */
    private String actTotlLen;
    /**
     * 计划执行状态（1、编辑、2下发、3执行、4关闭）
     */
    private String sendDayplanStatus;
    /**
     * 批车标志(0未批复、1已批复）
     */
    private String appFlag;
    /**
     * 批车人
     */
    private String appName;
    /**
     * 批车时间
     */
    private String appTime;

    public YdmZcDaysendplanTrainMEntity(){
        memo = "";
        validflag = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
        sendDayplanNo = "";
        sendPlanNo = "";
        wagonsPlanNo = "";
        vehicle60Num = "";
        vehicle70Num = "";
        vehicleDayNum = "";
        applyDay = "";
        batchDayNum = "";
        actDayNum = "";
        stationCode = "";
        stationName = "";
        stationNo = "";
        stationNm = "";
        spclLnNo = "";
        spclLnNm = "";
        saleOrg = "";
        saleOrgDesc = "";
        customerNo = "";
        customerNm = "";
        receivNo = "";
        receivNm = "";
        planStartTime = "";
        planEndTime = "";
        planWt = "";
        planNum = "";
        planTotlLen = "";
        actStartTime = "";
        actEndTime = "";
        actWt = "";
        actNum = "";
        actTotlLen = "";
        sendDayplanStatus = "";
        appFlag = "";
        appName = "";
        appTime = "";
        departmentCode = "";
        departmentDesc = "";
        managementNo = "";
        managementName = "";
    }
    /**
     * 作业部门代码
     * @return value
     */
    public String getDepartmentCode() {
        return departmentCode;
    }

    /**
     * 作业部门代码
     * @param departmentCode value
     */
    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    /**
     * 作业部门描述
     * @return value
     */
    public String getDepartmentDesc() {
        return departmentDesc;
    }

    /**
     * 作业部门描述
     * @param departmentDesc value
     */
    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    /**
     * 作业科室代码
     * @return value
     */
    public String getManagementNo() {
        return managementNo;
    }

    /**
     * 作业科室代码
     * @param managementNo value
     */
    public void setManagementNo(String managementNo) {
        this.managementNo = managementNo;
    }

    /**
     * 作业科室名称
     * @return value
     */
    public String getManagementName() {
        return managementName;
    }

    /**
     * 作业科室名称
     * @param managementName value
     */
    public void setManagementName(String managementName) {
        this.managementName = managementName;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 铁运日计划号
     * @return value
     */
    public String getSendDayplanNo() {
        return sendDayplanNo;
    }

    /**
     * 铁运日计划号
     * @param sendDayplanNo value
     */
    public void setSendDayplanNo(String sendDayplanNo) {
        this.sendDayplanNo = sendDayplanNo;
    }

    /**
     * 发货计划号
     * @return value
     */
    public String getSendPlanNo() {
        return sendPlanNo;
    }

    /**
     * 发货计划号
     * @param sendPlanNo value
     */
    public void setSendPlanNo(String sendPlanNo) {
        this.sendPlanNo = sendPlanNo;
    }

    /**
     * 车皮运号
     * @return value
     */
    public String getWagonsPlanNo() {
        return wagonsPlanNo;
    }

    /**
     * 车皮运号
     * @param wagonsPlanNo value
     */
    public void setWagonsPlanNo(String wagonsPlanNo) {
        this.wagonsPlanNo = wagonsPlanNo;
    }

    /**
     * 请车皮数量（60吨车皮）
     * @return value
     */
    public String getVehicle60Num() {
        return vehicle60Num;
    }

    /**
     * 请车皮数量（60吨车皮）
     * @param vehicle60Num value
     */
    public void setVehicle60Num(String vehicle60Num) {
        this.vehicle60Num = vehicle60Num;
    }

    /**
     * 请车皮数量（70吨车皮）
     * @return value
     */
    public String getVehicle70Num() {
        return vehicle70Num;
    }

    /**
     * 请车皮数量（70吨车皮）
     * @param vehicle70Num value
     */
    public void setVehicle70Num(String vehicle70Num) {
        this.vehicle70Num = vehicle70Num;
    }

    /**
     * 请车皮数量（日）
     * @return value
     */
    public String getVehicleDayNum() {
        return vehicleDayNum;
    }

    /**
     * 请车皮数量（日）
     * @param vehicleDayNum value
     */
    public void setVehicleDayNum(String vehicleDayNum) {
        this.vehicleDayNum = vehicleDayNum;
    }

    /**
     * 申请日期
     * @return value
     */
    public String getApplyDay() {
        return applyDay;
    }

    /**
     * 申请日期
     * @param applyDay value
     */
    public void setApplyDay(String applyDay) {
        this.applyDay = applyDay;
    }

    /**
     * 批车皮数量（日）
     * @return value
     */
    public String getBatchDayNum() {
        return batchDayNum;
    }

    /**
     * 批车皮数量（日）
     * @param batchDayNum value
     */
    public void setBatchDayNum(String batchDayNum) {
        this.batchDayNum = batchDayNum;
    }

    /**
     * 实际车皮装运数（日）
     * @return value
     */
    public String getActDayNum() {
        return actDayNum;
    }

    /**
     * 实际车皮装运数（日）
     * @param actDayNum value
     */
    public void setActDayNum(String actDayNum) {
        this.actDayNum = actDayNum;
    }

    /**
     * 铁路站局代码
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 铁路站局代码
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 铁路站局名称
     * @return value
     */
    public String getStationName() {
        return stationName;
    }

    /**
     * 铁路站局名称
     * @param stationName value
     */
    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    /**
     * 到站编码
     * @return value
     */
    public String getStationNo() {
        return stationNo;
    }

    /**
     * 到站编码
     * @param stationNo value
     */
    public void setStationNo(String stationNo) {
        this.stationNo = stationNo;
    }

    /**
     * 到站名称
     * @return value
     */
    public String getStationNm() {
        return stationNm;
    }

    /**
     * 到站名称
     * @param stationNm value
     */
    public void setStationNm(String stationNm) {
        this.stationNm = stationNm;
    }

    /**
     * 专用线编码
     * @return value
     */
    public String getSpclLnNo() {
        return spclLnNo;
    }

    /**
     * 专用线编码
     * @param spclLnNo value
     */
    public void setSpclLnNo(String spclLnNo) {
        this.spclLnNo = spclLnNo;
    }

    /**
     * 专用线名称
     * @return value
     */
    public String getSpclLnNm() {
        return spclLnNm;
    }

    /**
     * 专用线名称
     * @param spclLnNm value
     */
    public void setSpclLnNm(String spclLnNm) {
        this.spclLnNm = spclLnNm;
    }

    /**
     * 销售组织(国贸/钢贸/销售公司)
     * @return value
     */
    public String getSaleOrg() {
        return saleOrg;
    }

    /**
     * 销售组织(国贸/钢贸/销售公司)
     * @param saleOrg value
     */
    public void setSaleOrg(String saleOrg) {
        this.saleOrg = saleOrg;
    }

    /**
     * 销售组织描述
     * @return value
     */
    public String getSaleOrgDesc() {
        return saleOrgDesc;
    }

    /**
     * 销售组织描述
     * @param saleOrgDesc value
     */
    public void setSaleOrgDesc(String saleOrgDesc) {
        this.saleOrgDesc = saleOrgDesc;
    }

    /**
     * 客户编码
     * @return value
     */
    public String getCustomerNo() {
        return customerNo;
    }

    /**
     * 客户编码
     * @param customerNo value
     */
    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo;
    }

    /**
     * 客户名称
     * @return value
     */
    public String getCustomerNm() {
        return customerNm;
    }

    /**
     * 客户名称
     * @param customerNm value
     */
    public void setCustomerNm(String customerNm) {
        this.customerNm = customerNm;
    }

    /**
     * 收货单位编码
     * @return value
     */
    public String getReceivNo() {
        return receivNo;
    }

    /**
     * 收货单位编码
     * @param receivNo value
     */
    public void setReceivNo(String receivNo) {
        this.receivNo = receivNo;
    }

    /**
     * 收货单位名称
     * @return value
     */
    public String getReceivNm() {
        return receivNm;
    }

    /**
     * 收货单位名称
     * @param receivNm value
     */
    public void setReceivNm(String receivNm) {
        this.receivNm = receivNm;
    }

    /**
     * 计划开始时间
     * @return value
     */
    public String getPlanStartTime() {
        return planStartTime;
    }

    /**
     * 计划开始时间
     * @param planStartTime value
     */
    public void setPlanStartTime(String planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * 计划结束时间
     * @return value
     */
    public String getPlanEndTime() {
        return planEndTime;
    }

    /**
     * 计划结束时间
     * @param planEndTime value
     */
    public void setPlanEndTime(String planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * 计划重量(吨)
     * @return value
     */
    public String getPlanWt() {
        return planWt;
    }

    /**
     * 计划重量(吨)
     * @param planWt value
     */
    public void setPlanWt(String planWt) {
        this.planWt = planWt;
    }

    /**
     * 计划支数
     * @return value
     */
    public String getPlanNum() {
        return planNum;
    }

    /**
     * 计划支数
     * @param planNum value
     */
    public void setPlanNum(String planNum) {
        this.planNum = planNum;
    }

    /**
     * 计划总长度
     * @return value
     */
    public String getPlanTotlLen() {
        return planTotlLen;
    }

    /**
     * 计划总长度
     * @param planTotlLen value
     */
    public void setPlanTotlLen(String planTotlLen) {
        this.planTotlLen = planTotlLen;
    }

    /**
     * 实际开始时间
     * @return value
     */
    public String getActStartTime() {
        return actStartTime;
    }

    /**
     * 实际开始时间
     * @param actStartTime value
     */
    public void setActStartTime(String actStartTime) {
        this.actStartTime = actStartTime;
    }

    /**
     * 实际结束时间
     * @return value
     */
    public String getActEndTime() {
        return actEndTime;
    }

    /**
     * 实际结束时间
     * @param actEndTime value
     */
    public void setActEndTime(String actEndTime) {
        this.actEndTime = actEndTime;
    }

    /**
     * 实际发货重量(吨)
     * @return value
     */
    public String getActWt() {
        return actWt;
    }

    /**
     * 实际发货重量(吨)
     * @param actWt value
     */
    public void setActWt(String actWt) {
        this.actWt = actWt;
    }

    /**
     * 实际发货支数
     * @return value
     */
    public String getActNum() {
        return actNum;
    }

    /**
     * 实际发货支数
     * @param actNum value
     */
    public void setActNum(String actNum) {
        this.actNum = actNum;
    }

    /**
     * 实际发货总长度
     * @return value
     */
    public String getActTotlLen() {
        return actTotlLen;
    }

    /**
     * 实际发货总长度
     * @param actTotlLen value
     */
    public void setActTotlLen(String actTotlLen) {
        this.actTotlLen = actTotlLen;
    }

    /**
     * 计划执行状态（1、编辑、2下发、3执行、4关闭）
     * @return value
     */
    public String getSendDayplanStatus() {
        return sendDayplanStatus;
    }

    /**
     * 计划执行状态（1、编辑、2下发、3执行、4关闭）
     * @param sendDayplanStatus value
     */
    public void setSendDayplanStatus(String sendDayplanStatus) {
        this.sendDayplanStatus = sendDayplanStatus;
    }

    /**
     * 批车标志(0未批复、1已批复）
     * @return value
     */
    public String getAppFlag() {
        return appFlag;
    }

    /**
     * 批车标志(0未批复、1已批复）
     * @param appFlag value
     */
    public void setAppFlag(String appFlag) {
        this.appFlag = appFlag;
    }

    /**
     * 批车人
     * @return value
     */
    public String getAppName() {
        return appName;
    }

    /**
     * 批车人
     * @param appName value
     */
    public void setAppName(String appName) {
        this.appName = appName;
    }

    /**
     * 批车时间
     * @return value
     */
    public String getAppTime() {
        return appTime;
    }

    /**
     * 批车时间
     * @param appTime value
     */
    public void setAppTime(String appTime) {
        this.appTime = appTime;
    }
}